library(ggplot2)
library(gcookbook)
library(plyr)
library(MASS)
library(grid)
library(scales)
library(RColorBrewer)
library(reshape2)
library(ggmap)
library(psych)
library(zoo)
library(caret)

setwd("C:/Users/Dai-S/Desktop/TUMSAT/senior/Ă̊wZ/model2018/Japanese/zzf[^/PPf[^/l/tTvOf[^/Sf[^")
ensyu <- read.csv("ensyu_cleaningall.csv")
str(ensyu)

set.ymd <- substring(ensyu$o,1,11)
ensyu$date <- as.Date(set.ymd)
ensyu$weekdays <- weekdays(as.Date(set.ymd))

ensyu <- edit(ensyu)


mycar <- subset(ensyu,ensyu$\ʎiR[h == 100)
train <- subset(ensyu,ensyu$\ʎiR[h == 200)
bus <- subset(ensyu,ensyu$\ʎiR[h == 240)
bicycle <- subset(ensyu,ensyu$\ʎiR[h == 410)
walk <- subset(ensyu,ensyu$\ʎiR[h == 420)
taxi <- subset(ensyu,ensyu$\ʎiR[h == 500)
sharebike <- subset(ensyu,ensyu$\ʎiR[h == 700)

dummy1 <- ensyu[,c(4,62)]
tmp <- dummyVars(~., data=dummy1)
dummy1.dummy <- as.data.frame(predict(tmp,dummy1))

setwd("C:/Users/Dai-S/Desktop/TUMSAT/senior/Ă̊wZ/")
write.csv(dummy1.dummy,file = "object.csv")


w <- dummy1.dummy[,11:17]
tmp <- dummyVars(~., data=w)
modeldummy <- as.data.frame(predict(tmp, w))

modeldummy$x[modeldummy$weekdaysyj==1 |modeldummy$weekdaysj==1 ] <- 1
modeldummy[is.na(modeldummy)] <- 0
modeldummy$[modeldummy$x==0] <- 1
modeldummy[is.na(modeldummy)] <- 0

setwd("C:/Users/Dai-S/Desktop/TUMSAT/senior/Ă̊wZ/")
write.csv(modeldummy,file = "holiday.csv")
